Loading...
Searching...
No Matches
BALL::GRAPH::IllegalStateException Class Reference

`#include <BALL/DATATYPE/GRAPH/graphAlgorithms.h>`

Inheritance diagram for BALL::GRAPH::IllegalStateException:

## Public Member Functions

| IllegalStateException (const char *file, int line, String message)
Public Member Functions inherited from BALL::Exception::GeneralException
| GeneralException ()
| Default constructor.
| GeneralException (const char *file, int line)
| Constructor.
| GeneralException (const char *file, int line, const String &name, const String &message)
| Constructor.
| GeneralException (const GeneralException &exception)
| Copy constructor.
virtual | ~GeneralException () throw ()
| Destructor.
const char * | getName () const
| Returns the name of the exception.
const char * | getMessage () const
| Returns the error message of the exception.
void | setMessage (const std::string &message)
| Modify the exception's error message.
int | getLine () const
| Returns the line number where it occurred.
const char * | getFile () const
| Returns the file where it occurred.

## Additional Inherited Members

const char * | file_
int | line_
std::string | name_
std::string | message_

## Detailed Description

is thrown if a operation is called while an object is not in the right state to handle it. For example, if you have to set some options or call some other methods before calling the operation.

Definition at line 52 of file graphAlgorithms.h.

## Constructor & Destructor Documentation

## IllegalStateException()

BALL::GRAPH::IllegalStateException::IllegalStateException | ( | const char * | file,
|  | int | line,
|  | String | message )